Loading...
Searching...
No Matches
Frame.h File Reference

Header file for Frame class. More...

`#include <opencv2/imgproc/imgproc.hpp>`
`#include <memory>`
`#include <mutex>`
`#include <sstream>`
`#include <queue>`
`#include "ChannelLayouts.h"`
`#include "Fraction.h"`
`#include <QColor>`
`#include <QImage>`

Go to the source code of this file.

## Classes

class | openshot::Frame
| This class represents a single frame of video (i.e. image & audio data) More...

## Namespaces

namespace | juce
namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Macros

#define | int64 opencv_broken_int
#define | uint64 opencv_broken_uint

## Detailed Description

Header file for Frame class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Frame.h.

## Macro Definition Documentation

## int64

#define int64 opencv_broken_int

Definition at line 17 of file Frame.h.

## uint64

#define uint64 opencv_broken_uint

Definition at line 18 of file Frame.h.